Loading...
Searching...
No Matches
pappso::MsRunQualifiedSpectrumLoader Class Reference

Load all qualified spectrum into a vector. More...

`#include <spectrumcollectionhandlerinterface.h>`

Inheritance diagram for pappso::MsRunQualifiedSpectrumLoader:

## Public Member Functions

| MsRunQualifiedSpectrumLoader ()
virtual | ~MsRunQualifiedSpectrumLoader ()
virtual void | setQualifiedMassSpectrum (const QualifiedMassSpectrum &qualified_mass_spectrum) override
virtual bool | needPeakList () const override
| tells if we need the peak list (if we want the binary data) for each spectrum
virtual void | spectrumListHasSize (std::size_t size) override
const std::vector< QualifiedMassSpectrum > & | getQualifiedMassSpectrumList () const
void | clear ()
Public Member Functions inherited from pappso::SpectrumCollectionHandlerInterface
virtual bool | needMsLevelPeakList (unsigned int ms_level) const final
| tells if we need the peak list (if we want the binary data) for each spectrum, given an MS level
virtual void | setNeedMsLevelPeakList (unsigned int ms_level, bool want_peak_list) final
| tells if we need the peak list given
virtual bool | shouldStop ()
virtual void | loadingEnded ()
virtual void | setReadAhead (bool is_read_ahead) final
| use threads to read a spectrum by batch of batch_size
virtual bool | isReadAhead () const
| tells if we want to read ahead spectrum

## Private Attributes

std::vector< QualifiedMassSpectrum > | m_qualifiedSpectrumList

## Detailed Description

Load all qualified spectrum into a vector.

Definition at line 185 of file spectrumcollectionhandlerinterface.h.

## Constructor & Destructor Documentation

## MsRunQualifiedSpectrumLoader()

pappso::MsRunQualifiedSpectrumLoader::MsRunQualifiedSpectrumLoader | ( |  | ) |

Definition at line 310 of file spectrumcollectionhandlerinterface.cpp.

{
}

## ~MsRunQualifiedSpectrumLoader()

pappso::MsRunQualifiedSpectrumLoader::~MsRunQualifiedSpectrumLoader | ( |  | ) |

virtual

Definition at line 315 of file spectrumcollectionhandlerinterface.cpp.

{
}

## Member Function Documentation

## clear()

void pappso::MsRunQualifiedSpectrumLoader::clear | ( |  | ) |

Definition at line 348 of file spectrumcollectionhandlerinterface.cpp.

{
m_qualifiedSpectrumList.clear();
}
pappso::MsRunQualifiedSpectrumLoader::m_qualifiedSpectrumList
std::vector< QualifiedMassSpectrum > m_qualifiedSpectrumList
Definition spectrumcollectionhandlerinterface.h:202

References m_qualifiedSpectrumList.

## getQualifiedMassSpectrumList()

const std::vector< QualifiedMassSpectrum > & pappso::MsRunQualifiedSpectrumLoader::getQualifiedMassSpectrumList | ( |  | ) | const

Definition at line 342 of file spectrumcollectionhandlerinterface.cpp.

{
return m_qualifiedSpectrumList;
}

References m_qualifiedSpectrumList.

## needPeakList()

bool pappso::MsRunQualifiedSpectrumLoader::needPeakList | ( |  | ) | const

override virtual

tells if we need the peak list (if we want the binary data) for each spectrum

Implements pappso::SpectrumCollectionHandlerInterface.

Definition at line 321 of file spectrumcollectionhandlerinterface.cpp.

{
return true;
}

## setQualifiedMassSpectrum()

void pappso::MsRunQualifiedSpectrumLoader::setQualifiedMassSpectrum | ( | const QualifiedMassSpectrum & | qualified_mass_spectrum | ) |

override virtual

Implements pappso::SpectrumCollectionHandlerInterface.

Definition at line 334 of file spectrumcollectionhandlerinterface.cpp.

{
qDebug() << qualified_mass_spectrum.getMassSpectrumId().getNativeId();
m_qualifiedSpectrumList.push_back(qualified_mass_spectrum);
}

References pappso::QualifiedMassSpectrum::getMassSpectrumId(), pappso::MassSpectrumId::getNativeId(), and m_qualifiedSpectrumList.

## spectrumListHasSize()

void pappso::MsRunQualifiedSpectrumLoader::spectrumListHasSize | ( | std::size_t | size | ) |

override virtual

Reimplemented from pappso::SpectrumCollectionHandlerInterface.

Definition at line 327 of file spectrumcollectionhandlerinterface.cpp.

{
m_qualifiedSpectrumList.clear();
}

References m_qualifiedSpectrumList.

## Member Data Documentation

## m_qualifiedSpectrumList

std::vector<QualifiedMassSpectrum> pappso::MsRunQualifiedSpectrumLoader::m_qualifiedSpectrumList

private

Definition at line 202 of file spectrumcollectionhandlerinterface.h.

Referenced by clear(), getQualifiedMassSpectrumList(), setQualifiedMassSpectrum(), and spectrumListHasSize().

The documentation for this class was generated from the following files:

- pappsomspp/msrun/spectrumcollectionhandlerinterface.h
- pappsomspp/msrun/spectrumcollectionhandlerinterface.cpp